Name: mozilla-prefs
License: GPL
Group: Applications/Internet
Summary: Provides firefox / thunderbird customized site settings
Version: 0
Release: 1%{?dist}
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
BuildRoot: %{_tmppath}/%{name}-%{version}-build
AutoReqProv: No

Source0: firefox-cern-prefs.js
Source1: thunderbird-cern-prefs.js

%description
This package ships additional CERN site preferences for Mozilla Firefox (10 or newer)
and Mozilla Thunderbird (10 or newer) products.


%files
%{_libdir}/thunderbird/defaults/pref/cern-prefs.js
%{_libdir}/firefox/defaults/preferences/cern-prefs.js

%build

%install

install -d $RPM_BUILD_ROOT/%{_libdir}/thunderbird/defaults/pref/
install -d $RPM_BUILD_ROOT/%{_libdir}/firefox/defaults/preferences/
install %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/firefox/defaults/preferences/cern-prefs.js -Z system_u:object_r:lib_t:s0
install %{SOURCE1} $RPM_BUILD_ROOT/%{_libdir}/thunderbird/defaults/pref/cern-prefs.js -Z system_u:object_r:lib_t:s0

%changelog
* Wed Feb 29 2012 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.1
- initial release

